= form_for @application_setting, url: repository_admin_application_settings_path(anchor: 'js-repository-check-settings'), html: { class: 'fieldset-form' } do |f|
  = form_errors(@application_setting)

  %fieldset
    .sub-section
      %h4= _("Repository checks")
      .form-group
        .form-check
          = f.check_box :repository_checks_enabled, class: 'form-check-input'
          = f.label :repository_checks_enabled, class: 'form-check-label' do
            = _("Enable repository checks")
          .form-text.text-muted
            = _("Run")
            %code= _("git fsck")
            = _("periodically in all project and wiki repositories to look for silent disk corruption issues.")
      .form-group
        .form-text.text-muted
          = _("If you get a lot of false alarms from repository checks, you can clear all repository check information from the database.")
          - clear_repository_checks_link = _('Clear all repository checks')
          - clear_repository_checks_message = _('This clears repository check states for all projects in the database and cannot be undone. Are you sure?')
        = link_to clear_repository_checks_link, clear_repository_check_states_admin_application_settings_path, data: { confirm: clear_repository_checks_message }, method: :put, class: "gl-button btn btn-sm btn-danger gl-mt-3"

    .sub-section
      %h4= _("Housekeeping")
      .form-group
        .form-check
          = f.check_box :housekeeping_enabled, class: 'form-check-input'
          = f.label :housekeeping_enabled, class: 'form-check-label' do
            = _("Enable automatic repository housekeeping")
          .form-text.text-muted
            = _("Leaving this setting enabled is recommended.")
            = link_to s_('Learn more.'), help_page_path('administration/housekeeping.md', anchor: 'housekeeping-options'), target: '_blank', rel: 'noopener noreferrer'
        .form-check
          = f.check_box :housekeeping_bitmaps_enabled, class: 'form-check-input'
          = f.label :housekeeping_bitmaps_enabled, class: 'form-check-label' do
            = _("Enable Git pack file bitmap creation")
          .form-text.text-muted
            = _("Improves Git cloning performance.")
            = link_to s_('Learn more.'), help_page_path('administration/housekeeping.md', anchor: 'housekeeping-options'), target: '_blank', rel: 'noopener noreferrer'
      .form-group
        = f.label :housekeeping_incremental_repack_period, 'Incremental repack period', class: 'label-bold'
        = f.number_field :housekeeping_incremental_repack_period, class: 'form-control gl-form-input'
        .form-text.text-muted
          = _("Number of Git pushes after which an incremental")
          %code= _("git repack")
          = _("is run.")
      .form-group
        = f.label :housekeeping_full_repack_period, 'Full repack period', class: 'label-bold'
        = f.number_field :housekeeping_full_repack_period, class: 'form-control gl-form-input'
        .form-text.text-muted
          = _("Number of Git pushes after which a full")
          %code= _("git repack")
          = _("is run.")
      .form-group
        = f.label :housekeeping_gc_period, _('Git GC period'), class: 'label-bold'
        = f.number_field :housekeeping_gc_period, class: 'form-control gl-form-input'
        .form-text.text-muted
          = _("Number of Git pushes after which")
          %code= _("git gc")
          = _("is run.")

  = f.submit _('Save changes'), class: "gl-button btn btn-confirm"
